## GimpDrawablePreview

GimpDrawablePreview — A widget providing a preview of a GimpDrawable.

## Functions

GtkWidget * | gimp_drawable_preview_new ()
GtkWidget * | gimp_drawable_preview_new_from_drawable_id ()
GimpDrawable * | gimp_drawable_preview_get_drawable ()
gint32 | gimp_drawable_preview_get_drawable_id ()
void | gimp_drawable_preview_draw_region ()

## Properties

gpointer | drawable | Read / Write / Construct Only
int | drawable-id | Read / Write / Construct Only

## Types and Values

| GimpDrawablePreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpPreview
                                ╰── GimpScrolledPreview
                                    ╰── GimpDrawablePreview

## Implemented Interfaces

GimpDrawablePreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A widget providing a preview of a GimpDrawable.

## Functions

### gimp_drawable_preview_new ()

    GtkWidget *
    gimp_drawable_preview_new (GimpDrawable *drawable,
                               gboolean *toggle);

`gimp_drawable_preview_new` is deprecated and should not be used in newly-written code.

Use `gimp_drawable_preview_new_from_drawable_id()` instead.

Creates a new GimpDrawablePreview widget for `drawable` .

In GIMP 2.2 the `toggle` parameter was provided to conviently access the state of the "Preview" check-button. This is not any longer necessary as the preview itself now stores this state, as well as the scroll offset.

#### Parameters

drawable | a GimpDrawable |
toggle | unused |

#### Returns

A pointer to the new GimpDrawablePreview widget.

Since: 2.2

### gimp_drawable_preview_new_from_drawable_id ()

    GtkWidget *
    gimp_drawable_preview_new_from_drawable_id
                                   (gint32 drawable_ID);

Creates a new GimpDrawablePreview widget for `drawable_ID` .

#### Parameters

drawable_ID | a drawable ID |

#### Returns

A pointer to the new GimpDrawablePreview widget.

Since: 2.10

### gimp_drawable_preview_get_drawable ()

    GimpDrawable *
    gimp_drawable_preview_get_drawable (GimpDrawablePreview *preview);

`gimp_drawable_preview_get_drawable` is deprecated and should not be used in newly-written code.

use `gimp_drawable_preview_get_drawable_id()` instead.

#### Parameters

preview | a GimpDrawablePreview widget |

#### Returns

the GimpDrawable that has been passed to `gimp_drawable_preview_new()`.

Since: 2.2

### gimp_drawable_preview_get_drawable_id ()

    gint32
    gimp_drawable_preview_get_drawable_id (GimpDrawablePreview *preview);

#### Parameters

preview | a GimpDrawablePreview widget |

#### Returns

the drawable_ID that has been passed to `gimp_drawable_preview_new_from_drawable_id()`.

Since: 2.10

### gimp_drawable_preview_draw_region ()

    void
    gimp_drawable_preview_draw_region (GimpDrawablePreview *preview,
                                       const GimpPixelRgn *region);

`gimp_drawable_preview_draw_region` is deprecated and should not be used in newly-written code.

#### Parameters

preview | a GimpDrawablePreview widget |
region | a GimpPixelRgn |

Since: 2.2

## Types and Values

### GimpDrawablePreview

    typedef struct _GimpDrawablePreview GimpDrawablePreview;

## Property Details

### The `“drawable”` property

      “drawable”                 gpointer

Deprecated: use the drawable-id property instead.

`GimpDrawablePreview:drawable` is deprecated and should not be used in newly-written code.

use the drawable-id property instead.

Owner: GimpDrawablePreview

Flags: Read / Write / Construct Only

Since: 2.4

### The `“drawable-id”` property

      “drawable-id”              int

The drawable the GimpDrawablePreview is attached to.

Owner: GimpDrawablePreview

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: -1

Since: 2.10